# ----- General -------------------------------------------------------------
DEBUG=off

SOURCE_FILES=tree.cpp

# ----- Usage ---------------------------------------------------------------
usage:
	@type <<

Usage:

zmake dos16      (16 bit DOS with Pharlap)
zmake dos16b     (16 bit DOS with Blinker)
zmake dos32      (32 bit DOS)
zmake win16      (16 bit Windows)
zmake win32      (32 bit Windows)
zmake win32dll   (32 bit Windows dll)
zmake vxworks    (vxworks)
<<

# ----- Clean ---------------------------------------------------------------
clean:
	z_clean

# ----- Platforms -----------------------------------------------------------
dos16: tree16.exe

dos16b: tree1b.exe

dos32: tree32.exe

win16: wtree16.exe

win32: wtree32.exe

win32dll: wtree.exe

vxworks: vtree.o

# ----- Targets -------------------------------------------------------------

!if "$(ZINC_COMPILER)" == "borland"
D16_DEFINITION_FILE=b16.def
!endif

#
# Build options for tree16.exe
#
TARGET=tree16.exe
TARGET_TYPE=EXE
PLATFORM=DOS16
DEFINITION_FILE=$(D16_DEFINITION_FILE)
!include <zaf.mak>

#
# Build options for tree1b.exe
#
TARGET=tree1b.exe
TARGET_TYPE=EXE
PLATFORM=DOS16B
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for tree32.exe
#
TARGET=tree32.exe
TARGET_TYPE=EXE
PLATFORM=DOS32
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for wtree16.exe
#
TARGET=wtree16.exe
TARGET_TYPE=EXE
PLATFORM=WIN16
DEFINITION_FILE=win16.def
!include <zaf.mak>

#
# Build options for wtree32.exe
#
TARGET=wtree32.exe
TARGET_TYPE=EXE
PLATFORM=WIN32
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for wtree.exe
#
TARGET=wtree.exe
TARGET_TYPE=EXEDLL
PLATFORM=WIN32
DEFINITION_FILE=
!include <zaf.mak>

# ----- VxWorks -------------------------------------------------------------

ADD_COMPILE_OPTS=-DZAF_VXW_APP_NAME=vtree

#
# Build options for vtree.o
#
TARGET=vtree.o
TARGET_TYPE=exe
PLATFORM=vxworks
DEFINITION_FILE=
SOURCE_FILES=tree.cpp v_app.cpp
!include <zaf.mak>

